---
name: "customEventCheck"
mode: "kit"
versionRequirements:
  - { name: "@tuya-miniapp/cloud-api", version: "1.0.5" }
---

## customEventCheck

> [VERSION] @tuya-miniapp/cloud-api >= 1.0.5

### Description

Custom event validation

### Parameters

`Params`

| Parameter | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| `params` | `CustomEventCheckParams` | Yes | - | Request body |

### Referenced Types

##### `type` CustomEventCheckParams

| Property | Type | Description |
| --- | --- | --- |
| `eventValue` | `string` | Custom event values |
| `devId` | `string` | Device ID |
| `serviceBusinessType` | `"aiSmartFreeEvent" \| "aiSmartFreeEventImage2Text"` | Smart event business type |


### Examples

#### Request example

```typescript
import { customEventCheck } from '@tuya-miniapp/cloud-api';

customEventCheck({
  eventValue: 'person reading',
  devId: 'vdevo1',
  serviceBusinessType: 'aiSmartFreeEvent',
})
  .then((r) => console.log(r))
  .catch(console.error);
```

#### Response example

```json
{ "available": true, "recommend": ["preset_event_1"] }
```
